Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988546 - [Doc] [RFE] Allow multiple locations to be associated with an image
Summary: [Doc] [RFE] Allow multiple locations to be associated with an image
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Configuration_Reference_Guide
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Summer Long
QA Contact: ecs-bugs
URL: https://blueprints.launchpad.net/glan...
Whiteboard:
Depends On:
Blocks: 979142
TreeView+ depends on / blocked
 
Reported: 2013-07-25 19:36 UTC by Stephen Gordon
Modified: 2014-02-11 04:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 22:15:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Gordon 2013-07-25 19:36:33 UTC
Cloned for documentation impact, refer to Bug # 979142 for implementation details.

Comment 2 Summer Long 2013-08-15 03:24:57 UTC
Have a need info out on the Admin Guide parallel bug: https://bugzilla.redhat.com/show_bug.cgi?id=989599
Will wait for that. Although, this should be just a part of the glance-api.conf automated documentation. Am putting 2 hours down just for the check/review.

Comment 3 Summer Long 2013-10-07 23:19:06 UTC
Hi John, Am looking at the QA test run, and I can't see the non-API impact, aside from locations being listed in the output from glance image-create or image-list (if show_multiple_locations = True is set). 
Is there any way for an administrator to add a second location or to remove locations with the CLI (or the dashboard)?

Comment 4 Summer Long 2013-10-07 23:20:25 UTC
Also, can you perhaps the specific upstream bug where the glance client was updated to show locations?  thanks, Summer

Comment 5 Flavio Percoco 2013-10-14 09:00:41 UTC
The client doesn't have support for this yet. The changes to the API are all related to the upload, download and deletion of image data. The patch that refactored most of that code is this one:

https://review.openstack.org/#/c/35134/


It basically allows client to upload data to different locations and link them to the image. This is something that users can do unless they're blocked by Glance's policies:

https://review.openstack.org/#/c/35741/

Comment 6 Summer Long 2013-10-15 04:32:05 UTC
Ok, am moving this to version 5, since we don't have API docs yet in the Red Hat suite (am aiming for Icehouse on this).

Comment 7 Summer Long 2014-01-27 22:15:31 UTC
Looks like API docs won't be covered for a while. Am closing, no impact.

Comment 8 Summer Long 2014-02-03 00:17:22 UTC
Moved version to current release.


Note You need to log in before you can comment on or make changes to this bug.